Package twisted :: Package protocols :: Module rawudp :: Class RawUDPProtocol |
[frames | no frames]

## Class RawUDPProtocol

    AbstractDatagramProtocol --+
                               |
                              RawUDPProtocol

Method Summary
| `__init__(self)`
| `addProto(self, num, proto)`
| `datagramReceived(self, data, partial, source, dest, protocol, version, ihl, tos, tot_len, fragment_id, fragment_offset, dont_fragment, more_fragments, ttl)`
Inherited from AbstractDatagramProtocol
| ``__getstate__`(self)`
| ``doStart`(self)` Make sure startProtocol is called.
| ``doStop`(self)` Make sure stopProtocol is called.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| ``startProtocol`(self)` Called when a transport is connected to this protocol.
| ``stopProtocol`(self)` Called when the transport is disconnected.

Class Variable Summary
`class` | `__implements__` = `twisted.protocols.raw.IRawDatagramProtocol`
Inherited from AbstractDatagramProtocol
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `transport` = None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:47 2003 | http://epydoc.sf.net